flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: AW: AW: AW: AW: AW: New Flexmojos 7.0.0-SNAPSHOT available
Date Fri, 13 Dec 2013 17:25:18 GMT
Ok ... 

so I asked in the maven user list and the guys there didn't have a better solution. It seems
that in future maven versions there might be something like a dependency-translator mechanism,
but that's not going to happen too soon.

The following pom-fragment will at least flag bad dependencies and prevent them from being
added to your build. This way you know what you have to exclude and make sure is included
in a new version.

            <!--
                Prevent the usage of any old adobe flex artifacts.
            -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-enforcer-plugin</artifactId>
                <version>1.3.1</version>
                <executions>
                    <execution>
                        <id>enforce-banned-dependencies</id>
                        <goals>
                            <goal>enforce</goal>
                        </goals>
                        <configuration>
                            <rules>
                                <bannedDependencies>
                                    <excludes>
                                        <exclude>com.adobe.flex</exclude>
                                    </excludes>
                                </bannedDependencies>
                            </rules>
                            <fail>true</fail>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

Chris



-----Urspr√ľngliche Nachricht-----
Von: Christofer Dutz [mailto:christofer.dutz@c-ware.de] 
Gesendet: Mittwoch, 11. Dezember 2013 08:53
An: users@flex.apache.org
Betreff: AW: AW: AW: AW: AW: AW: New Flexmojos 7.0.0-SNAPSHOT available

Hi Nigel,

I think I might know what the Problem is. If you use a lib in Maven that was built against
Flex 4.0 for example and which has a dependency set to "com.adobe.flex:artifactwhatsoever:4.0.xxxx"
then when using the Flex SDKs with a different Group Id you would actually have some Problems.
I guess the only Option you currently have, would be to exclude the dependencies to the com.apache.flex
Framework for each lib that references (And if you haven't globally added the entire FDK,
add the missing libs in the org.apache.flex Version manually.

I'm sorry that I currently don't have a better solution. Unfortunately it's a Maven conceptual
Problem and nothing I can just come up with an easy solution.

Another way I just thought of, would be to add the com.adobe.flex artifacts to your global
dependencyManagement section, to fix this to the same Version as the Apache Flex fdk you are
intending to use and to set every com.adobe.flex dependency to scope "provided". This way
Maven shoudln't try to download them anymore and use the Apache Versions instead. I'd just
give this Option a spin.

Chris


________________________________________
Von: Nigel Magnay <nigel.magnay@gmail.com>
Gesendet: Dienstag, 10. Dezember 2013 23:53
An: users@flex.apache.org
Betreff: Re: AW: AW: AW: AW: AW: New Flexmojos 7.0.0-SNAPSHOT available

No - this is an external dependency that has, it's not part of this build.
In fact the compile step goes through correctly, it's only when it tries to build test classes
it's complaining. Could there be a difference between the two ?

I can mask it out by doing an <exclusions> in the pom for that dependency (to mask out
the com.adobe.flex:flex-framework) link.


On Tue, Dec 10, 2013 at 10:03 PM, Christofer Dutz <christofer.dutz@c-ware.de
> wrote:

> Hi Nigel,
>
> the reason is simple, you are trying to use Flexmojos 7 to compile a 
> project using an Adobe Flex version. As I stated a few times, 
> Flexmojos 7 can only work with Apache Flex SDKs using the group-id 
> org.apache.flex. It seems that you are trying to compile against 
> '4.0.0.14159' for this you will have to use Flexmojos 6.0.1.
>
> Chris
>
> -----Urspr√ľngliche Nachricht-----
> Von: Nigel Magnay [mailto:nigel.magnay@gmail.com]
> Gesendet: Dienstag, 10. Dezember 2013 18:07
> An: users@flex.apache.org
> Betreff: Re: AW: AW: AW: AW: AW: New Flexmojos 7.0.0-SNAPSHOT 
> available
>
> Most of my projects fail with
>
> [ERROR] Failed to execute goal
> net.flexmojos.oss:flexmojos-maven-plugin:7.0.0-SNAPSHOT:test-compile
> (default-test-compile) on project realtime-flex-components: Execution 
> default-test-compile of goal 
> net.flexmojos.oss:flexmojos-maven-plugin:7.0.0-SNAPSHOT:test-compile
> failed: Flex compiler and flex framework versions doesn't match. Compiler:
> '4.11.0.20131017' - Framework: '4.0.0.14159'.
>
> (Note that the project has no test source).
>
> I suspect it's down to it detecting an earlier version of flex on the 
> classpath (or because it's com.adobe rather than org.apache); 
> dependency:tree gives
>
>
> +- 
> +org.apache.flex.framework:flex-framework:pom:4.11.0.20131017:compile
>
> [INFO] |  +-
> org.apache.flex.framework:common-framework:pom:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:advancedgrids:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:apache:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:authoringsupport:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:charts:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +- 
> org.apache.flex.framework:core:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:experimental:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:experimental_mobile:swc:4.11.0.20131017:comp
> ile
>
> [INFO] |  |  +-
> org.apache.flex.framework:flash-integration:swc:4.11.0.20131017:compil
> e
>
> [INFO] |  |  +-
> org.apache.flex.framework:framework:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:framework:zip:configs:4.11.0.20131017:compil
> e
>
> [INFO] |  |  +- 
> org.apache.flex.framework:mx:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +- 
> org.apache.flex.framework:osmf:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +- 
> org.apache.flex.framework:rpc:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +- 
> org.apache.flex.framework:spark:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:spark_dmv:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:sparkskins:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:textLayout:swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:advancedgrids:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:apache:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:charts:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:experimental:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
>
> org.apache.flex.framework:experimental_mobile:rb.swc:4.11.0.20131017:c
> ompile
>
> [INFO] |  |  +-
> org.apache.flex.framework:flash-integration:rb.swc:4.11.0.20131017:com
> pile
>
> [INFO] |  |  +-
> org.apache.flex.framework:framework:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +- 
> org.apache.flex.framework:mx:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:rpc:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  +-
> org.apache.flex.framework:spark:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  |  \-
> org.apache.flex.framework:textLayout:rb.swc:4.11.0.20131017:compile
>
> [INFO] |  +- com.adobe.flash.framework:playerglobal:swc:11.9:compile
>
> [INFO] |  \- 
> com.adobe.flash.framework:playerglobal:rb.swc:11.9:compile
>
> [INFO] +- com.asfusion.mate:mate:swc:0.8.9.9.nrm-SNAPSHOT:external
>
> [INFO] +- com.nirima.ribbons:ribbons:swc:1.0.3-SNAPSHOT:external
>
> [INFO] +- flexlib:flexlib:swc:2.5:merged
>
> [INFO] +- com.google.code:as3reflect:swc:1.0RC2:merged
>
> [INFO] +- degrafa:degrafa:swc:1.0-SNAPSHOT:merged
>
> *[INFO] |  \-
> com.adobe.flex.framework:flex-framework:pom:4.0.0.14159:runtime*
>
> *[INFO] |     +-
> com.adobe.flex.framework:common-framework:pom:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:datavisualization:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:flash-integration:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +- com.adobe.flex.framework:flex:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:framework:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +- com.adobe.flex.framework:osmf:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +- com.adobe.flex.framework:rpc:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +- com.adobe.flex.framework:spark:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:sparkskins:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:textLayout:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:utilities:swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:framework:zip:configs:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:datavisualization:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:framework:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:osmf:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:rpc:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:spark:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  +-
> com.adobe.flex.framework:textLayout:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     |  \-
> com.adobe.flex.framework:flash-integration:rb.swc:4.0.0.14159:runtime*
>
> *[INFO] |     +-
> com.adobe.flex.framework:playerglobal:swc:10.0:4.0.0.14159:runtime*
>
> *[INFO] |     \-
> com.adobe.flex.framework:playerglobal:rb.swc:4.0.0.14159:runtime*
>
> [INFO] \- org.graniteds:granite-client-flex:swc:3.0.0.RC1:merged
>
>
>
>
>
> On Wed, Nov 27, 2013 at 8:35 AM, christofer.dutz@c-ware.de < 
> christofer.dutz@c-ware.de> wrote:
>
> > So it Looks as if the library containing the mx.validators.* package 
> > is not present on your compile classpath. Could you check that it is.
> > Unfortunately I can't check which lib this is exactly. Think this 
> > should resolve your Problems.
> >
> > Chris
> >
> > ________________________________________
> > Von: piotr.zarzycki [piotrzarzycki21@gmail.com]
> > Gesendet: Mittwoch, 27. November 2013 08:45
> > An: users@flex.apache.org
> > Betreff: Re: AW: AW: AW: AW: AW: New Flexmojos 7.0.0-SNAPSHOT 
> > available
> >
> > Sorry about that. :)
> >
> > path -> 43 Error: The definition of base class Validator was not found.
> >
> >     public class CompareValidator extends Validator
> >                                           ^
> >
> > path -> col: 45 Error: The definition of base class StringValidator 
> > was not found.
> >
> >     public class TextInputValidator extends StringValidator
> >                                             ^ ...
> >
> > At the end I got this ->
> >
> > [ERROR] Failed to execute goal
> > net.flexmojos.oss:flexmojos-maven-plugin:7.0.0-SNAPSHOT:compile-swc
> > (default-compile-swc) on project air-lib: Got 103 errors building 
> > project, check logs -> [Help 1]
> > org.apache.maven.lifecycle.LifecycleExecutionException: Failed to 
> > execute goal 
> > net.flexmojos.oss:flexmojos-maven-plugin:7.0.0-SNAPSHOT:compile-swc
> > (default-compile-swc) on project air-lib: Got 103 errors building 
> > project, check logs
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.
> java:212)
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.
> java:153)
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.
> java:145)
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProjec
> t(LifecycleModuleBuilder.java:84)
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProjec
> t(LifecycleModuleBuilder.java:59)
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBui
> ld(LifecycleStarter.java:183)
> >         at
> >
> >
> org.apache.maven.lifecycle.internal.LifecycleStarter.execute(Lifecycle
> Starter.java:161)
> >         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:317)
> >         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:152)
> >         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:555)
> >         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:214)
> >         at org.apache.maven.cli.MavenCli.main(MavenCli.java:158)
> >         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> >         at
> >
> >
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.j
> ava:57)
> >         at
> >
> >
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccess
> orImpl.java:43)
> >         at java.lang.reflect.Method.invoke(Method.java:601)
> >         at
> >
> >
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launc
> her.java:289)
> >         at
> >
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java
> :229)
> >         at
> >
> >
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Lau
> ncher.java:415)
> >         at
> > org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
> >         at org.codehaus.classworlds.Launcher.main(Launcher.java:46)
> >         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> >         at
> >
> >
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.j
> ava:57)
> >         at
> >
> >
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccess
> orImpl.java:43)
> >         at java.lang.reflect.Method.invoke(Method.java:601)
> >         at
> > com.intellij.rt.execution.application.AppMain.main(AppMain.java:120)
> > Caused by: org.apache.maven.plugin.MojoFailureException: Got 103 
> > errors building project, check logs
> >         at
> >
> >
> net.flexmojos.oss.plugin.AbstractMavenMojo.checkResult(AbstractMavenMo
> jo.java:314)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.AbstractFlexCompilerMojo.executeComp
> iler(AbstractFlexCompilerMojo.java:1701)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.CompcMojo.execute_aroundBody0(CompcM
> ojo.java:251)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.CompcMojo.execute_aroundBody1$advice
> (CompcMojo.java:53)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.CompcMojo.execute_aroundBody2(CompcM
> ojo.java:245)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.CompcMojo.execute_aroundBody3$advice
> (CompcMojo.java:31)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.CompcMojo.execute_aroundBody4(CompcM
> ojo.java:1)
> >         at
> >
> >
> net.flexmojos.oss.plugin.compiler.CompcMojo.execute_aroundBody5$advice
> (CompcMojo.java:34)
> >         at
> > net.flexmojos.oss.plugin.compiler.CompcMojo.execute(CompcMojo.java:1)
> >         at
> >
> >
> org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultB
> uildPluginManager.java:106)
> >         at
> >
> > org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.
> > java:208)
> >
> >
> >
> >
> >
> > -----
> > Flex/Air developer open to new job offers and challenges.
> > piotrzarzycki21@gmail.com
> > --
> > View this message in context:
> > http://apache-flex-users.2333346.n4.nabble.com/New-Flexmojos-7-0-0-S
> > NA PSHOT-available-tp3798p3951.html Sent from the Apache Flex Users 
> > mailing list archive at Nabble.com.
> >
>

Mime
View raw message